SendLit logoSendLit Docs
API ReferenceTemplatesTemplateid

Get an email template

GET
/templates/{templateId}
x-sendlit-apikey<token>

In: header

Path Parameters

templateId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.sendlit.dev/templates/string"
{
  "templateId": "string",
  "title": "string",
  "purpose": "marketing",
  "content": {
    "style": {
      "property1": null,
      "property2": null
    },
    "meta": {
      "property1": null,
      "property2": null
    },
    "content": [
      {
        "property1": null,
        "property2": null
      }
    ]
  },
  "requiredVariables": [
    "string"
  ],
  "validationError": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "variables": [
    "string"
  ]
}